#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,160,200,240,520,1040,1560,1840,1960,2120
 * N : 25,120,160,200,240,520,1040,1560,1840,1960,2120
 * NB : 3,8,8,8,12,12,40,40,40,80,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 3; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 780) (nb_) = 12; \
   else if ((n_) < 1900) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
