#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,168,224,280,336,672,1008,1176,1232,1288,1344,2744
 * N : 25,168,224,280,336,672,1008,1176,1232,1288,1344,2744
 * NB : 5,4,4,8,60,60,60,60,64,56,112,112
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 96) (nb_) = 5; \
   else if ((n_) < 252) (nb_) = 4; \
   else if ((n_) < 308) (nb_) = 8; \
   else if ((n_) < 1204) (nb_) = 60; \
   else if ((n_) < 1260) (nb_) = 64; \
   else if ((n_) < 1316) (nb_) = 56; \
   else (nb_) = 112; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
